WD(4)

NAME
wd - Generic WD100x diskcontroller driver

SYNOPSIS

controller wdc0 at isa? port "IO_WD1" bio irq 14 vector wdintr
disk wd0 at wdc0 drive 0
disk wd1 at wdc0 drive 1

DESCRIPTION
This driver provides access to disks connected to controllers that emulate the Western Digital WD100x series. This range of controllers includes WD1003 type ST412 controllers, WD1007 ESDI controllers and also the generic IDE controllers found on most motherboards.

Your controller documentation is usually quick to point out any WD100x compatibility.

FILES
/dev/wd*
    disk block device nodes
/dev/rwd*
    disk character device nodes
/sys/i386/conf/GENERIC
    sample generic kernel config file for (a.o.) wd based systems
/sys/i386/isa/wd.c
    driver source

SEE ALSO
bad144(8)

NOTES
This controller/disk combo has no provisions for automatic bad block handling. You need to run bad144(8) to check for bad blocks.